extern
	System.exit(code%)
	
	import b2jlibs.ConsoleLib
	ConsoleLib.print(text$)
	ConsoleLib.input$(text$)
	ConsoleLib.locate(x%,y%)
	
	import b2jlibs.basics.TimeAndRandom
	TimeAndRandom.delay(ms%)
	TimeAndRandom.millisecs()
	
	import b2jlibs.basics.Maths
	Maths.sin#(angle#)
	Maths.cos#(angle#)
	Maths.tan#(angle#)
	
	import b2jlibs.basics.Strings
	Strings.chr$(code%)
	Strings.asc%(text$)
	
	import b2jlibs.graphics.Graphics
	Graphics.cls()
	Graphics.graphics(w%,h%,bit%,mode%)
	Graphics.line(x1%,y1%,x2%,y2%)
	Graphics.rect(x%,y%,w%,h%,filled%)
	Graphics.oval(x%,y%,w%,h%,filled%)
	Graphics.text(x%,y%,text$)
	Graphics.color(r%,g%,b%)
	Graphics.flip(fsync%)
	Graphics.loadFont%(fname$,size%,bold%,italic%,underlined%)
	Graphics.setFont(fid%)
	Graphics.keyDown%(sc%)
	Graphics.keyHit%(sc%)
endextern

function print(text$)
	ConsoleLib.print(text$)
end function
function locate(x%,y%)
	ConsoleLib.locate(x,y)
end function
function input$(text$)
	return ConsoleLib.input(text$)
end function
function delay(ms%)
	TimeAndRandom.delay(ms%)
end function
function millisecs%()
        return TimeAndRandom.millisecs()
end function
function sin#(angle#)
        return Maths.sin(angle#)
end function
function cos#(angle#)
        return Maths.cos(angle#)
end function
function tan#(angle#)
        return Maths.tan(angle#)
end function
function graphics(w%,h%,bit%,mode%)
	Graphics.graphics(w%+7,h%+29,bit%,mode%)
end function
function cls()
	Graphics.cls()
end function
function line(x1%,y1%,x2%,y2%)
	Graphics.line(x1%,y1%,x2%,y2%)
end function
function rect(x%,y%,w%,h%,filled%=0)
	Graphics.rect(x%,y%,w%,h%,filled%)
end function
function oval(x%,y%,w%,h%,filled%=0)
	Graphics.oval(x%,y%,w%,h%,filled%)
end function
function text(x%,y%,text$)
	Graphics.text(x%,y%,text$)
end function
function color(r%,g%,b%)
	Graphics.color(r%,g%,b%)
end function
function flip(fsync%=1)
	Graphics.flip(fsync%)
end function
function loadFont%(fname$,size%,bold%,italic%,underlined%)
	return Graphics.loadFont%(fname$,size%,bold%,italic%,underlined%)
end function
function setFont(fid%)
	Graphics.setFont(fid%)
end function
function keyDown%(sc%)
	return Graphics.keyDown%(sc%)
end function
function keyHit%(sc%)
	return Graphics.keyHit%(sc%)
end function
function exit()
	System.exit(1)
end function
function setbuffer(bufferid%)
end function
function backbuffer%()
end function
function chr$(code%)
	return Strings.chr$(code%)
end function
function asc%(text$)
	return Strings.asc%(text$)
end function